This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### line()
Examples |
    line(30, 20, 85, 75);
    line(30, 20, 85, 20);
    stroke(126);
    line(85, 20, 85, 75);
    stroke(255);
    line(85, 75, 30, 75);
    // Drawing lines in 3D requires P3D
    // as a parameter to size()
    size(100, 100, P3D);
    line(30, 20, 0, 85, 20, 15);
    stroke(126);
    line(85, 20, 15, 85, 75, 0);
    stroke(255);
    line(85, 75, 0, 30, 75, -50);
Description | Draws a line (a direct path between two points) to the screen. The version of line() with four parameters draws the line in 2D. To color a line, use the stroke() function. A line cannot be filled, therefore the fill() function will not affect the color of a line. 2D lines are drawn with a width of one pixel by default, but this can be changed with the strokeWeight() function. The version with six parameters allows the line to be placed anywhere within XYZ space. Drawing this shape in 3D with the z parameter requires the P3D parameter in combination with size() as shown in the above example.
Syntax |
    line(x1, y1, x2, y2)
    line(x1, y1, z1, x2, y2, z2)
Parameters |
x1 | float: x-coordinate of the first point
y1 | float: y-coordinate of the first point
x2 | float: x-coordinate of the second point
y2 | float: y-coordinate of the second point
z1 | float: z-coordinate of the first point
z2 | float: z-coordinate of the second point
Returns | void
Related | strokeWeight() strokeJoin() strokeCap() beginShape()

Updated on October 26, 2013 08:58:31pm PDT